## prometheus-pgbouncer-exporter 0.11.0

=== Makefile ===
# Copyright 2020 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64
DOCKER_REPO  ?= prometheuscommunity

include Makefile.common

DOCKER_IMAGE_NAME       ?= pgbouncer-exporter

## prometheus-pgbouncer-exporter 0.10.2

=== debian/changelog ===
prometheus-pgbouncer-exporter (1:0.10.2-2) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * d/rules: modernize and sync with other exporters' style
    - Standardize executable name as prometheus-pgbouncer-exporter
      (Closes: #1098729)
    - Generate manpage from --help-man
  * d/docs: Ship upstream README with package
  * d/manpages: Ship generated manpage with package
  * d/gitlab-ci.yml, d/.gitignore: Update gitlab-ci.yml to latest template
  * d/control: Refresh to match latest dh-make-golang template
    - Move source package to section: golang
    - Swap from Built-Using to Static-Build-Using
    - Use actual package names for build depends instead of virtual

  [ Lena Voytek ]
  * d/service: Add systemd service for interacting with pgbouncer Debian
    package
  * d/default: Add default file for pgbouncer connection string credentials
    and additional service arguments
  * d/README.Debian: Provide setup instructions for running the service
  * d/p/0002-set-default-pgbouncer-pid-file.patch: Use
    /run/postgresql/pgbouncer.pid as the default pgbouncer pid to match Debian
    default
  * d/control: Dependency and Standards Version updates
    - Add Enhances: pgbouncer
    - Add Breaks/Replaces for old
      golang-github-prometheus-community-pgbouncer-exporter package
    - Add postgresql-common dependency for postgres user

 -- Lena Voytek <lena@voytek.dev>  Mon, 03 Mar 2025 09:19:37 -0500

prometheus-pgbouncer-exporter (1:0.10.2-1) unstable; urgency=medium

  * New upstream release 0.10.2
  * Remove support-prometheus-common-v0.50.0.patch: Fixed upstream
  * Remove golang-github-go-kit-log-dev dependency - no longer needed

 -- Lena Voytek <lena@voytek.dev>  Mon, 24 Feb 2025 10:10:43 -0500

prometheus-pgbouncer-exporter (1:0.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #1056091)
  * Take over old prometheus-pgbouncer-exporter package, which was abandoned
    upstream; adding an epoch number since that package had a higher version
    number.
  * debian/NEWS: Add information about the move to a different upstream
  * debian/patches/support-prometheus-common-v0.50.0.patch: Use
    version.NewCollector function from prometheus/client_golang to fix ftbfs

 -- Lena Voytek <lena@voytek.dev>  Thu, 28 Mar 2024 09:10:21 -0700

=== debian/control ===
Source: prometheus-pgbouncer-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Lena Voytek <lena@voytek.dev>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-lib-pq-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pgbouncer-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pgbouncer-exporter.git
Homepage: https://github.com/prometheus-community/pgbouncer_exporter
XS-Go-Import-Path: github.com/prometheus-community/pgbouncer_exporter

Package: prometheus-pgbouncer-exporter
Section: net
Architecture: any
Depends: postgresql-common (>=26),
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: pgbouncer
Breaks: golang-github-prometheus-community-pgbouncer-exporter (<<0.10)
Replaces: golang-github-prometheus-community-pgbouncer-exporter (<<0.10)
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for PgBouncer (program)
 PgBouncer Exporter is a Prometheus exporter tool designed to collect and
 expose metrics from PgBouncer, the PostgreSQL connection pooler. For more
 information on exporters see
 https://prometheus.io/docs/instrumenting/exporters/

## prometheus-pgbouncer-exporter 0.11.0

=== debian/changelog ===
prometheus-pgbouncer-exporter (1:0.11.0-1) unstable; urgency=medium

  * New upstream release 0.11.0
  * d/control: Add additional build dependencies for new version
    - golang-github-data-dog-go-sqlmock-dev
    - golang-github-smartystreets-goconvey-dev
    - golang-github-prometheus-client-model-dev

 -- Lena Voytek <lena@voytek.dev>  Fri, 05 Sep 2025 13:54:43 -0400

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
+               golang-github-data-dog-go-sqlmock-dev,
                golang-github-lib-pq-dev,
                golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-smartystreets-goconvey-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.2

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddirectory=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/pgbouncer_exporter _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for PgBouncer
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus-community/pgbouncer_exporter/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-pgbouncer-exporter 1.7

=== debian/changelog ===
prometheus-pgbouncer-exporter (1.7-1) unstable; urgency=medium

  * Package version 1.7 (Closes: #814823).

 -- Christopher Baines <mail@cbaines.net>  Wed, 17 Feb 2016 11:51:22 +0000

=== debian/control ===
Source: prometheus-pgbouncer-exporter
Section: net
Priority: optional
Maintainer: Christopher Baines <mail@cbaines.net>
Homepage: http://git.cbaines.net/prometheus-pgbouncer-exporter/
Build-Depends: debhelper (>= 9),
               dh-systemd,
               dh-python,
               help2man,
               python3-all,
               python3-setuptools,
# Used when generating the manpage
               python3-psycopg2,
               python3-configargparse,
               python3-prometheus-client,
Standards-Version: 3.9.7
Vcs-Git: git://anonscm.debian.org/collab-maint/prometheus-pgbouncer-exporter.git
Vcs-browser: https://anonscm.debian.org/cgit/collab-maint/prometheus-pgbouncer-exporter.git/
X-Python3-Version: >= 3.2

Package: prometheus-pgbouncer-exporter
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
# Depend on postgresql-common, as it creates the postgres user which the init
# script and service file are configured to run the service as
         postgresql-common,
         daemon,
         python3-configargparse,
         python3-prometheus-client,
         python3-psycopg2,
         python3-pkg-resources,
Description: Export metrics from pgbouncer to Prometheus
 This is a simple exporter for PgBouncer that makes several metrics available
 to Prometheus.
 .
 Metrics are exported from the SHOW LISTS, STATS, POOLS and DATABASES command
 output. For the full list, see the prometheus_pgbouncer_exporter/collectors.py
 file.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with=python3,systemd --buildsystem=pybuild

override_dh_systemd_enable:
	dh_systemd_enable prometheus-pgbouncer-exporter.service

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade prometheus-pgbouncer-exporter.service

override_dh_auto_install:
	dh_auto_install
	# build the man page
	help2man -n "Export metrics from pgbouncer to Prometheus" --no-info \
		--version-option="-m prometheus_pgbouncer_exporter --version" \
		--help-option="-m prometheus_pgbouncer_exporter --help" \
		--output=prometheus-pgbouncer-exporter.1 python3
	# Remove the .TP on the 7th line to improve readability
	sed -i '7 d' prometheus-pgbouncer-exporter.1

=== debian/watch ===
version=2
  http://git.cbaines.net/prometheus-pgbouncer-exporter/refs/ .*/prometheus-pgbouncer-exporter-(.+)\.tar\.gz
